Bug 2061392 - Drop non-upstream chromium support patch
Summary: Drop non-upstream chromium support patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ffmpeg
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Neal Gompa
QA Contact:
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F36BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-03-07 13:34 UTC by Neal Gompa
Modified: 2022-03-10 07:20 UTC (History)
4 users (show)

Fixed In Version: ffmpeg-5.0-9.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 07:20:00 UTC
Type: Task


Attachments (Terms of Use)

Description Neal Gompa 2022-03-07 13:34:57 UTC
Description of problem:
When we first introduced ffmpeg into Fedora, we included a non-upstream patch to add an API for Chromium. However, this patch did not make it upstream and other FFmpeg builds in the Fedora ecosystem have dropped it, creating an ABI incompatibility.

We need to drop it ASAP so ABI compatibility is restored.

Version-Release number of selected component (if applicable):
5.0-8

Additional info:
The patch: https://src.fedoraproject.org/rpms/ffmpeg/blob/9af6474ed1945a12771b6b666d4d5bccb70cb65d/f/ffmpeg-support-chromium.patch

Comment 1 Fedora Blocker Bugs Application 2022-03-07 13:41:51 UTC
Proposed as a Freeze Exception for 36-beta by Fedora user ngompa using the blocker tracking app because:

 Fixing this ABI incompatibility needs to be done before GA so that we're not stuck with this.

Comment 2 Geoffrey Marr 2022-03-07 22:26:43 UTC
Discussed during the 2022-03-07 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-03-07/f36-blocker-review.2022-03-07-17.01.txt

Comment 3 Fedora Update System 2022-03-08 17:02:56 UTC
FEDORA-2022-a189abc205 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a189abc205

Comment 4 Fedora Update System 2022-03-09 15:45:48 UTC
FEDORA-2022-a189abc205 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a189abc205`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a189abc205

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-03-10 07:20:00 UTC
FEDORA-2022-a189abc205 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.